SET NOCOUNT ON
IF NOT EXISTS(
	SELECT 
		ID 
	FROM 
		SYSOBJECTS 
	WHERE 
		NAME = 'EST_PED_VD' AND XTYPE = 'U')
BEGIN
	SET NOCOUNT OFF
	RAISERROR('A TABELA NA QUAL O CAMPO SERÁ ADICIONADO NÃO FOI ENCONTRADA NO BANCO DE DADOS.',16,1)
END

ELSE
BEGIN
	IF NOT EXISTS (
		SELECT
			* 
		FROM 
			SYSCOLUMNS 
		WHERE 
			NAME = 'APLICATIVO'
			AND ID IN (
				SELECT 
					ID 
				FROM 
					SYSOBJECTS 
				WHERE 
					NAME = 'EST_PED_VD' AND XTYPE = 'U'))

		BEGIN
			ALTER TABLE dbo.EST_PED_VD ADD APLICATIVO varchar(30) NULL

		END
	SET NOCOUNT OFF
	PRINT 'CAMPO APLICATIVO NA TABELA EST_PED_VD INSERIDO COM SUCESSO '
END